[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.EndUpdate

Ends an update process for the tool button.

## Declaration

Source position: comctrls.pp line 2158

`protected procedure TToolButton.EndUpdate; virtual;`

## Description

Decrements the internal update counter used to consolidate calls to methods which layout or draw the control, or signal event handlers. The consolidated process(es) are performed when the internal counter reaches 0 (zero).

Use BeginUpdate to start an update process for the control.

## See also

TToolButton.BeginUpdate |  | Starts an update process for the tool button.